{% extends "default.html" %}
{% load static %}
{% load panel_helpers %}

{% block content %}

    <ol class="breadcrumb add-top-margin">
        <li class="breadcrumb-item"><a href="{% url 'panels:index' %}">Panels</a></li>
        <li class="breadcrumb-item"><a href="{% url 'panels:compare' panel_1.panel_id panel_2.panel_id %}">“{{ panel_1.level4title.name }}” &amp; “{{ panel_2.level4title.name }}”</a></li>
        <li class="breadcrumb-item active">{{ gene_symbol }}</li>
    </ol>
    <h1>
        {% block title %}Comparing {{ gene_symbol }}{% endblock %}
    </h1>

    {% include "panels/compare/compare_panels_form.html" %}
    <div class="table-responsive add-top-margin">
        <table class="table table-bordered" data-module="filterable-table">
            <thead class="table-light">
                {% include "panels/compare/compare_table_heading.html" %}
            </thead>
            <tbody>
                <tr>
                    <td class="text-end">
                        <h4 class="remove-top-margin remove-bottom-margin">
                            <span class="fs-6 gel-banner {{ panel_1_entry|gene_list_class }}" title="{{ panel_1_entry|gene_list_name }}">
                                {{ panel_1_entry|gene_list_name }}
                            </span> <a href="{% url 'panels:evaluation' panel_1_entry.panel.panel_id 'gene' gene_symbol %}" class="link-inherit gel-text {{ panel_1_entry|gene_list_class }}">{{ gene_symbol }}</a>
                        </h4>
                    </td>
                    <td class="text-center">List</td>
                    <td>
                        <h4 class="remove-top-margin remove-bottom-margin">
                            <a href="{% url 'panels:evaluation' panel_2_entry.panel.panel_id 'gene' gene_symbol %}" class="link-inherit gel-text {{ panel_2_entry|gene_list_class }} fs-6">{{ gene_symbol }}</a> <span class="gel-banner {{ panel_2_entry|gene_list_class }}" title="{{ panel_2_entry|gene_list_name }}">
                                {{ panel_2_entry|gene_list_name }}
                            </span>
                        </h4>
                    </td>
                </tr>
                <tr>
                    <td class="text-end">{{ panel_1_entry.moi }}</td>
                    <td class="text-center">Mode of inheritance</td>
                    <td>{{ panel_2_entry.moi }}</td>
                </tr>
                <tr>
                    <td class="text-end">{{ panel_1_entry.mode_of_pathogenicity }}</td>
                    <td class="text-center">Mode of pathogenicity</td>
                    <td>{{ panel_2_entry.mode_of_pathogenicity }}</td>
                </tr>
                <tr>
                    <td class="text-end">{{ panel_1_entry.phenotypes|join:', ' }}</td>
                    <td class="text-center">Phenotypes</td>
                    <td>{{ panel_2_entry.phenotypes|join:', ' }}</td>
                </tr>
                <tr>
                    <td class="text-end">{{ panel_1_entry.publications|join:', ' }}</td>
                    <td class="text-center">Publications</td>
                    <td>{{ panel_2_entry.publications|join:', ' }}</td>
                </tr>
                <tr>
                    <td>
                        <h3 class="remove-top-margin text-center">{{ panel_1_entry.evaluation.all|length }} review{{panel_1_entry.evaluation.all|pluralize}}</h3>
                        {% for ev in panel_1_entry.evaluation.all %}
                            <div class="card card-body add-top-margin">
                                {% include "panels/entity/entity_evaluation.html" %}
                            </div>
                        {% endfor %}
                    </td>
                    <td class="text-center">Reviews</td>
                    <td>
                        <h3 class="remove-top-margin text-center">{{ panel_2_entry.evaluation.all|length }} review{{panel_2_entry.evaluation.all|pluralize}}</h3>
                        {% for ev in panel_2_entry.evaluation.all %}
                            <div class="card card-body add-top-margin">
                                {% include "panels/entity/entity_evaluation.html" %}
                            </div>
                        {% endfor %}
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

{% endblock %}
